:root {
  /* Background color for static elements (e.g. Sidebar, Breadcrumbs)  */
  --static-element-bg: var(--bs-secondary-bg-subtle);

  /* Navbar and loading indictor definitions */
  --navbar-height: 2.5rem;
  --loading-indicator-height: 3px;
  --loading-indicator-margin: 1rem;
  --search-bar-width: calc(10rem + 20vw);

  /* Beadcrumb definitions */
  --breadcrumbs-height: 3rem;
  --breadcrumbs-margin: 1rem;
  
  /* Sidebar definitions */
  --sidebar-width-collapsed: 4rem;
  --sidebar-default-width: 25rem;
  --sidebar-width-active: 18rem;
  --sidebar-left-margin: 0.5rem;

  /* Calculated heights */
  --sidebar-offset-top: calc(var(--navbar-height) + var(--loading-indicator-height) + var(--loading-indicator-margin));
  --sidebar-height: calc(100vh - var(--navbar-height) - calc(var(--loading-indicator-height) + var(--loading-indicator-margin)));

  /* Additional variables */
  --default-gap: 0.5rem;
}
